{% set CodiceModulo = "DOM_LIQU_RENDI" %}
{% set Urn = "document:c_a794:contributi.economici.liquidazione.rendicontata" %}
{% set Urn_procedimento = "" %}
{% extends "base.html" %}

{% block meta %}



<meta campi_firma="Titolare_CodiceFiscale"
campi_firma_label="il dichiarante"
classi_modulo="Contributi"
trattamento_dati="PERSONALI"
codice_modulo="{{ CodiceModulo }}"
urn="{% block urn %}{{ Urn }}{% endblock urn %}"
urn_procedimento="{% block urn_procedimento %}{{ Urn_procedimento }}{% endblock urn_procedimento %}"
urn_procedimento_list=""
sub_urn_list="edifici,mai,ambiente,servizisociali,commercio,verde,tempoliberoesport,cult_unes,disabilita,anziani,serviziscolastici,altro,direzione_cultura,reti,polizia,sbu,infanzia"
uo_globo_list=""
descrizione="Domanda di liquidazione del contributo concesso"
destinatario_amministrazione=""
destinatario_ufficio="UOPROTOCOLLO"
dinamico="SI"
email_a=""
ente_abilitato="TUTTI"
filigrana="NO"
firmare="AUTENTICATO"
generabile_da="RICH_CONTRECO_ASSOCIAZIONI,RICH_CONTR_SPORT,DOM_CONTR_ANTIVIO,DOM_CONTR_INCR_SICU,CONTR_AUT_DIS"
istruzioni_compilazione=""
istruzioni_invio="mail_pec"
metodo_invio="mail"
name="GLOBO_modulo"
procura="NO,,"
tipo_modulo="principale"
verifica_pagamento="NO"
versione="2.1|05/04/2024"/>

<meta codice_modulo_figlio="INCARICO_PROCURA"
urn_modulo_figlio="document:s_italia:generale;incarico.procura"
name="GLOBO_modulofiglio"
numero="1"
obbligatorio="DINAMICO"/>

<meta codice_modulo_figlio="REL_CONCL"
urn_modulo_figlio="document:c_a794:relazione.conclusiva.contributi;allegato"
name="GLOBO_modulofiglio"
numero="1"
obbligatorio="DINAMICO"/>

<meta codice_modulo_figlio="RIT_ACCONTO"
urn_modulo_figlio="document:c_a794:ritenuta.acconto.contributi;dichiarazione"
name="GLOBO_modulofiglio"
numero="1"
obbligatorio="DINAMICO"/>

<meta codice_allegato="DOC-ATT-SPESE-SOST"
urn_allegato="document:s_italia:generale;spese.sostenute;documentazione"
descrizione_estesa="Copia della documentazione attestante le spese sostenute"
filename="Documentazione spese sostenute"
firmato="NO"
name="GLOBO_allegato"
numero="0"
obbligatorio="DINAMICO"
tipo_mime="application/pdfn"/>

<meta codice_allegato="DAE-CDI"
urn_allegato="document:s_italia:generale;documento.identita;documentazione"
descrizione_estesa="Documento di identità"
filename="Documento identita"
firmato="NO"
name="GLOBO_allegato"
numero="1"
obbligatorio="DINAMICO"
tipo_mime="image/tiff,image/png,image/jpeg,application/pdfn"/>

<meta codice_allegato="ALTRI-ALLEGATI"
urn_allegato="document:s_italia:altri.allegati"
descrizione_estesa="Altri allegati"
filename="Altri allegati"
firmato="NO"
name="GLOBO_allegato"
numero="0"
obbligatorio="DINAMICO"
tipo_mime="image/tiff,image/png,image/jpeg,application/pdfn"/>

{% endblock meta %}
<!--

Elenco campi necessari al flusso dati verso gestionale contributi (inetflow)

PARAMETRI
- Numero_richiesta_contributo
- Anno_rich_cont
- Descrizione iniziativa
- Importo da liquidare
- Totale uscite
- Totale entrate
- IBAN
- Beneficiario
- Destinatario
- CIG

-->   
{% block title %}
    Domanda di liquidazione del contributo concesso 
{% endblock title %}

{% block content %}

<globo_fondo_pagina areaheight="150" scope="3">
    {{ utils.firma() }}
</globo_fondo_pagina>


<script>

// Array che ci permette di passare dal codice ufficio alla descrizione
var DaCodiceAUfficio = [];

DaCodiceAUfficio["MKQ0AE"] = "SERVIZIO SERVIZI IN FAVORE DEI DISABILI";
DaCodiceAUfficio["ZFDQRB"] = "SERVIZIO COMMERCIO SUOLO PUBBLICO ED EVENTI";
DaCodiceAUfficio["BGDQAD"] = "SERVIZIO ECOLOGIA E AMBIENTE";
DaCodiceAUfficio["J96K20"] = "SERVIZIO SERVIZI SOCIALI A FAVORE DI MINORI ANZIANI ADULTI E FAMIGLIE";
DaCodiceAUfficio["OQUY7Y"] = "Direzione servizi alla persona, servizi educativi e politiche giovanili, pari opportunità e intercultura";
DaCodiceAUfficio["CWG45S"] = "SERVIZIO CULTURA E UNESCO";
DaCodiceAUfficio["4E4123"] = "DIREZIONE CULTURA BGBS23 SPORT EVENTI PARTECIPAZIONE E COMMERCIO";
DaCodiceAUfficio["9DZHX2"] = "SERVIZIO COORDINAMENTO AMMINISTRATIVO GESTIONE SPORT EVENTI ORGANISMI PARTECIPANTI";
DaCodiceAUfficio["CEE9EF"] = "SERVIZIO AFFARI GENERALI E DI SUPPORTO AGLI ORGANI ISTITUZIONALI";
DaCodiceAUfficio["E47L91"] = "SERVIZIO VERDE PUBBLICO";
DaCodiceAUfficio["ZZV69J"] = "SERVIZIO RETI SOCIALI";
DaCodiceAUfficio["FSQ1BK"] = "DIREZIONE EDIFICI E IMPIANTI";
DaCodiceAUfficio["7MPESC-03"] = "U.O.SEGRETERIA COMANDO UFFICIO FINANZIARIO";
DaCodiceAUfficio["L16CFF"] = "SERVIZIO BIBLIOTECA CIVICA A.MAI E ARCHIVI STORICI";
DaCodiceAUfficio["2JLQBG"] = "SERVIZIO SBU";
DaCodiceAUfficio["7MPE5C"] = "SERVIZIO UFFICIO COMANDO";
DaCodiceAUfficio["AW6WHZ"] = "SERVIZIO SERVIZI PER L'INFANZIA E LA GENITORIALITA'";
DaCodiceAUfficio["RZSGJN"] = "Servizio educazione, istruzione e progetto giovani";








// Qua vanno aggiunti i vari uffici interessati con i loro codici IPA
// Array per individuare i suburn necessari al modulo 
var UfficiSubUrn = [];
UfficiSubUrn["RZSGJN"] = "serviziscolastici";
UfficiSubUrn["MKQ0AE"] = "disabilita";
UfficiSubUrn["9DZHX2"] = "tempoliberoesport";
UfficiSubUrn["BGDQAD"] = "ambiente";
UfficiSubUrn["J96K20"] = "anziani";
UfficiSubUrn["E47L91"] = "verde";
UfficiSubUrn["OQUY7Y"] = "servizisociali";
UfficiSubUrn["ZFDQRB"] = "commercio";
UfficiSubUrn["CEE9EF"] = "altro";
UfficiSubUrn["CWG45S"] = "cult_unes"; 
UfficiSubUrn["4E4123"] = "direzione_cultura"; 
UfficiSubUrn["ZZV69J"] = "reti"; 
UfficiSubUrn["FSQ1BK"] = "edifici"; 
UfficiSubUrn["7MPESC-03"] = "polizia"; 
UfficiSubUrn["L16CFF"] = "mai";
UfficiSubUrn["2JLQBG"] = "sbu";
UfficiSubUrn["7MPE5C"] = "polizia";
UfficiSubUrn["AW6WHZ"] = "infanzia";





function docReady(fn) {
  // DOM available?? 
  if (document.readyState === "complete" || document.readyState === "interactive") {
      setTimeout(fn, 2);
      //console.log('Dom loading');
  } else {
    //console.log('dom caricato'); 

    document.addEventListener("DOMContentLoaded", fn);
  }
}    

// RICHIAMO LA FUNZIONE docReady e gli passo la funzione da eseguire al caricamente del DOM 
docReady(function() {
    // DOM Caricato

  // Recupero anno Protocollo e nascondo tutto quello che non è valorizzato 
  var dataProtocollo = document.getElementById("Riferimenti_DataRegistrazione").value;
  var anno = dataProtocollo.substr(6,4);
  
  // Mostro i campi nascoscti che hanno già interrogato il WS e sono valorizzati con l'importo concesso
  //var elementoDaMostrare = document.getElementById("Valori_WS_" + anno);
  //elementoDaMostrare.style.display="";
  //console.log(elementoDaMostrare);

  // Recupero il codice dell'ufficio dal campo valorizzatio dalla chiamata REST e da questo (che dovrebbe essereil codiceIPA)
  var codiceUfficio = document.getElementById("Ufficio" + anno).value;
  //console.log(codiceUfficio);

  // Ecco i due campi valorati tramite javascript che poi passano nel faldone telematico per ICaroEvo
  document.getElementById("Riferimenti_DescrizioneUfficioDestinatario").value = DaCodiceAUfficio[codiceUfficio];
  document.getElementById("Riferimenti_CodiceUfficioDestinatario").value = codiceUfficio;
  //console.log(document.getElementById("Riferimenti_DescrizioneUfficioDestinatario").value);

  //Valorizzo la descrizione della UO e non il codice per il cittadino 
  document.getElementById("NomeUfficio" + anno).value = DaCodiceAUfficio[codiceUfficio];
  //console.log(document.getElementById("NomeUfficio" + anno).value);

  // Carico anche il valore del SubUrn
  document.getElementById('GLOBO_sub_urn').value = UfficiSubUrn[codiceUfficio];
  //console.log();

});

// ricopia i dati nella sezione visibile nel PDF 
function copiaDati() {

  // Recupero anno Protocollo e nascondo tutto quello che non è valorizzato 
  var dataProtocollo = document.getElementById("Riferimenti_DataRegistrazione").value;
  var anno = dataProtocollo.substr(6,4);

  var tipoAtto = document.getElementById("TipoAtto" + anno);
  var numeroAtto = document.getElementById("NumeroAtto" + anno);
  var dataAtto = document.getElementById("DataAtto" + anno);
  var importoConcesso = document.getElementById("ImportoConcesso" + anno);
  var stato = document.getElementById("Stato" + anno);

  document.getElementById("Riferimenti_TipoAtto").value = tipoAtto.value;
  document.getElementById("Riferimenti_NumeroAtto").value = numeroAtto.value;
  document.getElementById("Riferimenti_DataAtto").value = dataAtto.value;
  document.getElementById("Riferimenti_ImportoConcesso").value = importoConcesso.value;
  document.getElementById("Riferimenti_Stato").value = stato.value;


}


// RIMETTERE LA FUNZIONE PER IL RECUPERO DELL IMPORTO CONCESSO
function verificaImporto()
{
    console.log("start - verifica importo");
    // Recupero anno Protocollo
    var dataProtocollo = document.getElementById("Riferimenti_DataRegistrazione").value;
    var anno = dataProtocollo.substr(6,4);
    //anno = "_test";
    //console.log(anno);

    // Faccio una verifica che il valore del campo non sia Undefined e nel caso cerco di aggiornare il valore in modo che venga valorizzato correttamente 
    // deve essere aggiornato sia il valore del campo Input sia il valore del campo di SubUrn 
    if (document.getElementById("Riferimenti_DescrizioneUfficioDestinatario").value == 'undefined') 
    {
      var codiceUfficio = document.getElementById("Ufficio" + anno).value;
      document.getElementById("Riferimenti_DescrizioneUfficioDestinatario").value = DaCodiceAUfficio[codiceUfficio];
      document.getElementById("Riferimenti_CodiceUfficioDestinatario").value = codiceUfficio;
      document.getElementById("NomeUfficio" + anno).value = DaCodiceAUfficio[codiceUfficio];
      document.getElementById('GLOBO_sub_urn').value = UfficiSubUrn[codiceUfficio];
    }
    
    importo1Buff = document.getElementById('ImportoConcesso' + anno).value;
    
    importo2Buff = document.getElementById('Parametri_ValoreContributo').value;
    
    if (importo1Buff.indexOf(',') >= 0)
      {
        Importo1 = parseFloat(importo1Buff.replace(",","."));
      }
    else{
      Importo1 = parseFloat(importo1Buff).toFixed(2);
    }
    
    Importo2 = parseFloat(importo2Buff.replace(",",".")).toFixed(2);
    console.log("verifica importo - controllo importo concesso >= valore contributo richiesto");
    if ( parseFloat(Importo2) > parseFloat(Importo1) )
    {
        alert("Importo non valido, in quanto superiore al valore concesso")
     
        document.getElementById('Parametri_ValoreContributo').value = "";
    }
    console.log("stop - verifica importo - Richiamo Set Importo passando parametro input Parametri Saldo");
    SetImporto('Parametri_Saldo');

}

function SetImporto(parameter) {
    var dParameter = document.getElementById(parameter)
    console.log("start - Set importo con parametro input " + parameter);
    if (/^\d+(\,|\.|)(\d+|)$/.test(dParameter.value))
      dParameter.value = parseFloat(dParameter.value.replace(/,/g,'.')).toFixed(2).replace('.',',')
    else
      dParameter.value = '0,00'
      console.log("stop - set importo richiamo verificamassimo contributo con parametro input ricevuto da chiamata prima");
    //CalcolaTotale();
    VerificaMassimoContributo(parameter);
  }

  function VerificaMassimoContributo(nameField)
  {
    console.log("start - VerificaMassimoContributo con input = " + nameField);
    var dTotale = document.getElementById('Parametri_Saldo');
    sSomma = 0;
    var sImportospesa = document.getElementById('Parametri_Totale_Uscite').value;
    var sImportoentrate = document.getElementById('Parametri_Totale_Entrate').value;
    
    if (/^\d+(\,|\.|)(\d+|)$/.test(sImportospesa))
      if (/^\d+(\,|\.|)(\d+|)$/.test(sImportoentrate))
          sSomma = parseFloat(sImportospesa.replace(/,/g,'.')) - parseFloat(sImportoentrate.replace(/,/g,'.'))
      else
        sSomma = parseFloat(sImportospesa.replace(/,/g,'.'))
    else 
      sSomma = '0,00'

    dTotale.value = parseFloat(sSomma).toFixed(2).replace('.',',');

    if (sSomma < 0)
    {
      alert("Disavanzo negativo - Domanda non sottoscrivibile");
      document.getElementById('Parametri_ValoreContributo').value = "";
    }
    else if (nameField == 'Parametri_Saldo' )
    {

      //Verifico che il disavanzo (SSomma) sia Maggiore dell'importo Richiesto (ImportoRichiesto) - In caso negativo OK in caso positivo ALert non lascio compilare il campo Valore COntributo
      importoRichiestoBuff = document.getElementById('Parametri_ValoreContributo').value;
      // importo richiesto minore di disavanzo
      if (parseFloat(dTotale.value) < parseFloat(importoRichiestoBuff))
      {
        alert("Importo richiesto maggiore del disavanzo o disavanzo non ancora calcolato - Domanda non sottoscrivibile");
        document.getElementById('Parametri_ValoreContributo').value = "";
      }
      
      document.getElementById('hidden_disavanzonegativo').value = "SI";
      document.getElementById("hidden_disavanzonegativo").classList.remove('mandatory');
    } 
    
  }

function svuotaDisavanzo()
{
  document.getElementById('Parametri_Saldo').value="";
}
function controllaCampoEColoraPulsante(nameField) {
  
  if (document.getElementById("Parametri_Saldo").value="") 
   {
    document.getElementById("AggiornaDisavanzo").style.backgroundColor = "red";
  } else {
    document.getElementById("AggiornaDisavanzo").style.backgroundColor = "green";
  }
}

</script>
   

<input type="hidden" id="Parametri_CIG" name="Parametri_CIG" value="0000000000"/>
<input type="hidden" id="Parametri_Beneficiario" name="Parametri_Beneficiario" value="Non richiesto"/>
<input id="Parametri_Comune" name="Parametri_Comune" type="hidden" dynamic_value="#Ente.value()"/>
<input id="Oggetto" name="Oggetto" type="hidden" dynamic_value="#Titolare_Cognome.value().toUpperCase() + ' ' + #Titolare_Nome.value().toUpperCase() + ' - domanda liquidazione del contributo concesso'"/>

{{ intestazioni.intestazione_moduloprincipale_senzabollo() }}

<h1 class="Modulo">
    Domanda di liquidazione del contributo
</h1>

<div type="Anagrafica_Società">
  <input id="Titolare_Titolo" name="Titolare_Titolo" type="hidden" value="Richiedente"/>
  <table class="Modulo" style="border:1px solid grey; margin-bottom:-6px">
    <tbody>
      <tr class="Rigaintestazione">
        <td style="border-right:0px">
          <p class="Labeltabella" style="vertical-align:middle">Il sottoscritto</p>
        </td>
        <td style="width:3%; cursor:pointer; border-left:0px">
          <span style="pd4ml-visibility: hidden; pd4ml-display: none;">
          {{ utils.recupero_dati( "Titolare", "visibility:visibility" ) }}
          </span>
        </td>
      </tr>
    </tbody>
  </table>
  <table class="Modulo" style="border:1px solid grey" mandatory="true">
    <tbody>
      <tr class="Rigaintestazioneridotta">
        <td colspan="2">
          <p class="Labelcella">Cognome</p>
        </td>
        <td>
          <p class="Labelcella">Nome</p>
        </td>
        <td>
          <p class="Labelcella">Codice Fiscale</p>
        </td>
      </tr>
      <tr>
        <td colspan="2">
          <input class="" id="Titolare_Cognome" name="Titolare_Cognome" style="width:100%" label="Cognome del Richiedente" />
        </td>
        <td>
          <input class="" id="Titolare_Nome" name="Titolare_Nome" style="width:100%" label="Nome del Richiedente" />
        </td>
        <td>
          <input class="" id="Titolare_CodiceFiscale" name="Titolare_CodiceFiscale" style="width:100%;" format="cf" label="Il codice fiscale del Richiedente" onkeyup="this.value = this.value.toUpperCase();"/>
         </td>
      </tr>
      <tr class="Rigaintestazioneridotta" style="border-top:0px">
        <td style="width:24%;">
          <p class="Labelcella">Data di nascita</p>
        </td>
        <td style="width:9%;">
          <p class="Labelcella">Sesso (M/F)</p>
        </td>
        <td style="width: 34%;">
          <p class="Labelcella">Luogo di nascita</p>
        </td>
        <td style="width: 33%;">
          <p class="Labelcella">Cittadinanza</p>
        </td>
      </tr>
      <tr>
        <td>
          <input class="" id="Titolare_DataNascita" name="Titolare_DataNascita" style="width:100%;" format="date" label="Data di nascita del Richiedente" readonly/>
        </td>
        <td>
          <select class="inputNormal" id="Titolare_Sesso" name="Titolare_Sesso" style="width:100%; pointer-events:none;" label="Sesso del Richiedente">
            <option value=""></option>
            <option value="M">M </option>
            <option value="F"> F </option>
          </select>
        </td>
        <td>
          <input class="" id="Titolare_LuogoNascita" name="Titolare_LuogoNascita" style="width:100%;" label="Luogo di nascita del Richiedente" readonly/>
        </td>
        <td>
          {{ utils.nazionalita('Titolare_Cittadinanza', 'Cittadinanza' )}}
        </td>
      </tr>
    </tbody>
  </table>
  <table class="Modulo" style="border:1px solid grey; margin-top:-1px;" mandatory="true">
    <tbody>
      <tr class="Rigaintestazioneridotta">
        <td colspan="5">
          <p class="Labelcella">Residenza</p>
        </td>
      </tr>
      <tr class="Rigaintestazioneridotta">
        <td style="width:9%;">
          <p class="Labelcella"> Provincia </p>
        </td>
        <td style="width:33%;">
          <p class="Labelcella"> Comune </p>
        </td>
        <td style="width:33%;">
          <p class="Labelcella"> Indirizzo </p>
        </td>
        <td style="width:9%;">
          <p class="Labelcella"> Civico </p>
        </td>
        <td style="width:16%;">
          <p class="Labelcella"> CAP </p>
        </td>
      </tr>
      <tr>
        <td>
          {{ utils.provincie('Titolare_ProvinciaResidenza', label='Provincia di residenza' )}}
        </td>
        <td>
          <select class="inputNormal" id="Titolare_ComuneResidenza" name="Titolare_ComuneResidenza" style="width:100%" label="Comune di residenza del Richiedente" dynamic_value="getComuniFromProvincia( #Titolare_ProvinciaResidenza.value(), 'Titolare_ComuneResidenza')"> </select>
        </td>
        <td>
          <input class="" id="Titolare_ViaResidenza" name="Titolare_ViaResidenza" style="width:100%;" label="Via di residenza del Richiedente" maxlength="60" format="regular_expression" expression="^(.+)\s(.+)$"/>
        </td>
        <td>
          <input class="" id="Titolare_CivicoResidenza" name="Titolare_CivicoResidenza" style="width:100%;" label="Civico di residenza del Richiedente" maxlength="10"/>
        </td>
        <td>
          <input class="" id="Titolare_CAPResidenza" name="Titolare_CAPResidenza" style="width:100%;" format="cap" label="CAP di residenza del Richiedente" mandatory="#Titolare_ProvinciaResidenza.value() != 'EE'"/>
        </td>
      </tr>
    </tbody>
  </table>
  <table class="Modulo" style="border:1px solid grey; margin-top:-1px;">
    <tbody>
      <tr class="Rigaintestazioneridotta">
        <td style="width:24%;">
          <p class="Labelcella"> Telefono casa </p>
        </td>
        <td style="width:24%;">
          <p class="Labelcella"> Telefono cellulare </p>
        </td>
        <td>
          <p class="Labelcella"> Posta elettronica certificata (domicilio digitale) </p>
        </td>
      </tr>
      <tr>
        <!-- telefono casa -->
        <td>
          <input class="inputNormal" id="Titolare_Telefono" label="Telefono" name="Titolare_Telefono" style="width:100%" mandatory="#Titolare_TelefonoCellulare.value() == ''"  format="regular_expression" expression="(^[0|3]{1}[0-9]{5,10}$)"/>
        </td>
        <!-- telefono cellulare -->
        <td>
          <input class="inputNormal" id="Titolare_TelefonoCellulare" label="Telefono cellulare" name="Titolare_TelefonoCellulare" style="width:100%" mandatory="#Titolare_Telefono.value() == ''"/>
        </td>
        <!-- email PEC -->
        <td>
          <input class="inputNormal" format="pec" id="Titolare_EMailPEC" label="E-mail PEC del Richiedente" name="Titolare_EMailPEC" style="width:100%;" />
        </td>
      </tr>
    </tbody>
  </table>
  <table class="Modulo" style="border:1px solid grey; margin-top:-1px;">
    <tbody>
      <tr class="Rigaintestazione">
        <td colspan="2">
          <p>
            <b> in qualità di </b>
          </p>
        </td>
      </tr>
      <tr class="Rigaintestazioneridotta">
        <td colspan="2">
          <p class="Labelcella"> Ruolo <span style="display:none">(*)</span></p>
        </td>
      </tr>
      <tr>
        <td colspan="2">
          {% set ruoli = ["Presidente", "Rappresentante", "Responsabile", "Altro"] %}
          <select class="inputNormal" id="Titolare_Ruolo" name="Titolare_Ruolo" style="width:100%;" mandatory_enabled="true" label="Ruolo del Richiedente"  onclick="copiaDati()">
            <option value=""></option>
            {% for ruolo in ruoli %}
            <option value="{{ ruolo }}"> {{ ruolo }} </option>
            {% endfor %}
          </select>
        </td>
      </tr>
      <tr class="Rigaintestazioneridotta">
        <td colspan="2">
          <p class="Labelcella"> Denominazione/Ragione sociale </p>
        </td>
      </tr>
      <tr mandatory_enabled="true">
        <td colspan="2">
          <input class="" id="Titolare_Denominazione" name="Titolare_Denominazione" style="width:100%" label="Denominazione/Ragione sociale"/>
        </td>
      </tr>
    </tbody>
  </table>
  <table class="Modulo" style="border:1px solid grey; margin-top:-1px;">
    <tbody>
      <tr class="Rigaintestazioneridotta">
        <td colspan="5">
          <p class="Labelcella">Sede legale</p>
        </td>
      </tr>
      <tr class="Rigaintestazioneridotta">
        <td style="width:9%;">
          <p class="Labelcella"> Provincia </p>
        </td>
        <td style="width:33%;">
          <p class="Labelcella"> Comune </p>
        </td>
        <td style="width:33%;">
          <p class="Labelcella"> Indirizzo </p>
        </td>
        <td style="width:9%;">
          <p class="Labelcella"> Civico </p>
        </td>
        <td style="width:16%;">
          <p class="Labelcella"> CAP </p>
        </td>
      </tr>
      <tr mandatory_enabled="true">
        <td>
          {{ utils.provincie('Titolare_ProvinciaSede', label="Provincia della sede legale") }}
        </td>
        <td>
          <select class="inputNormal" id="Titolare_ComuneSede" name="Titolare_ComuneSede" style="width:100%" label="Comune della sede legale" dynamic_value="getComuniFromProvincia( #Titolare_ProvinciaSede.value(), 'Titolare_ComuneSede')"> </select>
        </td>
        <td>
          <input class="" id="Titolare_ViaSede" name="Titolare_ViaSede" style="width:100%;" label="Indirizzo della sede legale" maxlength="60" format="regular_expression" expression="^(.+)\s(.+)$"/>
        </td>
        <td>
          <input class="" id="Titolare_CivicoSede" name="Titolare_CivicoSede" style="width:100%;" label="Civico della sede legale" maxlength="10"/>
        </td>
        <td>
          <input class="" id="Titolare_CAPSede" name="Titolare_CAPSede" style="width:100%;" format="cap" label="CAP della sede legale" enabled="#Titolare_Ruolo.check_value([ 'Presidente','Rappresentante', 'Responsabile', 'Altro' ])" mandatory="#Titolare_Ruolo.check_value([ 'Presidente','Rappresentante', 'Responsabile', 'Altro' ]) and #Titolare_ProvinciaSede.value() != 'EE'"/>
        </td>
      </tr>
    </tbody>
  </table>
  <table class="Modulo" style="border:1px solid grey; margin-top:-1px;">
    <tbody>
      <tr class="Rigaintestazioneridotta">
        <td style="width:50%;">
          <p class="Labelcella">Codice Fiscale</p>
        </td>
        <td style="width:50%;">
          <p class="Labelcella">Partita IVA</p>
        </td>
      </tr>
      <tr>
        <td>
          <input class="" id="Titolare_CFPI" name="Titolare_CFPI" label="Codice fiscale" style="width:100%;" format="cfpiva"  mandatory="#Titolare_PI.value() == ''"/>
        </td>
        <td>
          <input class="" id="Titolare_PI" name="Titolare_PI" label="Partita IVA" style="width:100%;" format="piva" mandatory="#Titolare_CFPI.value() == ''" />
        </td>
      </tr>
    </tbody>
  </table>
  <table class="Modulo" style="border:1px solid grey; margin-top:-1px;">
    <tbody>
      <tr class="Rigaintestazioneridotta">
        <td style="width:33%;">
          <p class="Labelcella">Telefono soggetto giuridico </p>
        </td>
        <td>
          <p class="Labelcella"> Posta elettronica certificata soggetto giuridico </p>
        </td>
        <td>
          <p class="Labelcella"> Posta elettronica ordinaria</p>
        </td>
      </tr>
      <tr>
        <!-- Telefono soggetto giuridico -->
        <td>
          <input class="inputNormal" id="Titolare_TelefonoSede" label="Telefono soggetto giuridico" name="Titolare_TelefonoSede" style="width:100%"/>
        </td>
        <!-- email PEC -->
        <td>
          <input class="inputNormal" format="pec" id="Titolare_EMailPECSede" label="E-mail PEC soggetto giuridico" name="Titolare_EMailPECSede" style="width:100%;"/>
        </td>
        <td>
          <input class="inputNormal" id="Titolare_EMail" name="Titolare_EMail" style="width: 100%;" label="e-mail organizzazione" />
        </td>
      </tr>
    </tbody>
  </table>

  
</div>
<br>
{{ utils.domicilio_digitale(mandatory = "false", intestazione = "", pec = "false") }}
<br>
<h3 class="Modulo">
    CHIEDE
</h3>

<p class="Modulo">
    l'erogazione del contributo richiesto
</p>

<!-- riferimenti al protocollo originario della DOMANDA di CONTRIBUTO -->

<table class="Modulo" style="border: 1px solid grey;">
    <tbody>
        <tr class="Rigaintestazione">
            <td colspan="5">
                <p class="Labeltabella">
                    con l'istanza
                </p>
            </td>
        </tr>
        <tr class="Rigaintestazioneridotta">
            <td style="width: 25%;">
                <p class="Labelcella">
                    Data di presentazione della domanda
                </p>
            </td>
            <td style="width: 35%;">
                <p class="Labelcella">
                    Numero di protocollo di presentazione della domanda
                </p>
            </td>
            <td style="width: 40%;">
                <p class="Labelcella">
                    Ufficio destinatario
                </p>
            </td>
        </tr>
        <tr class="Rigaintestazioneridotta">
          <td style="width: 25%;">
            <input class="form-control" id="Riferimenti_DataRegistrazione" name="Riferimenti_DataRegistrazione" label="Data protocollo" format="date"  />
          </td>
          <td style="width: 35%;">
            <input class="form-control" id="Riferimenti_NumeroRegistrazione" name="Riferimenti_NumeroRegistrazione" label="Numero protocollo"  />
          </td>
          <td style="width: 40%;">
              <!-- Oltre ai due campi per il numero di protocollo aggiungo anche l'ufficio destinatario che viene recuperato dalla risposta di Icaro-->
            <input type="hidden" id="Riferimenti_CodiceUfficioDestinatario" name="Riferimenti_CodiceUfficioDestinatario" />
            <input class="form-control" id="Riferimenti_DescrizioneUfficioDestinatario" name="Riferimenti_DescrizioneUfficioDestinatario"  label="Ufficio destinatario" />
          </td>
      </tr>
        
        
        
    </tbody>
</table>



<table class="Modulo" style="border: 1px solid grey;">
    <tbody>
        <tr class="Rigaintestazione">
            <td colspan="5">
                <p id="attivaREST" class="Labeltabella">
                    concesso con l'atto
                </p>
            </td>
        </tr>
        <tr class="Rigaintestazioneridotta">
            <td style="width:25%;">
                <p class="Labelcella">
                    Tipologia di documento (*)
                </p>
            </td>
            <td style="width:10%;">
                <p class="Labelcella">
                    Numero
                </p>
            </td>
            <td style="width:10%;">
              <p class="Labelcella">
                  Data
              </p>
          </td>
            <td style="width:10%;">
                <p class="Labelcella">
                    Importo Concesso
                </p>
            </td>
             <td style="width: 45%;">
                <p class="Labelcella">
                    Stato Domanda
                </p>
            </td>
        </tr>

        <!-- QUA è DOVE DEFINISCO LA CHIAMATA ALLA REST DELLO SPORTELLO TELEMATICO CHE POI FA RIFERIMENTO AL WS DI ICAROEVO. 
              MAggioli ICARO deve sistemare il WS che risponde in Json (vedi call del 24 Agosto) 
              GLobo deve configuarare la REST da chiamare dal modulo dentro Drupal che fa da interprete per il WS di ICARO (come prima aveva fatto con InetFlow) -->
        
        <!-- In caso l'interrogazione verso ICARO interessi non soltanto il 2023 e il 2022 bisogna moficare l'array in modo che produca l'HTML e le conseguenti chiamate anche per gli anni precedentei ed in futuro successivi -->

        <!--ATTENZIONE Il valore dell importo concesso viene settato per defualt a 1000 per poter completare la compilazione quando attivo WS ICARO DA ELIMINARE IL VALUE ALLA RIGA DELL'IMPORTO -->
        
        {% set Anni = [
           
          "2022",
          "2023",
          "2024",
          "2025"] %}

          
      
          {% for anno in Anni %}
          <tr class="Valori_WS_Holder" id="Valori_WS_{{anno}}" style="display:none;">
              <td>
                  <div rest-name="/modulo/ws/icaro_contributi?annoContributo={{anno}}&amp;numeroContributo=[Riferimenti_NumeroRegistrazione]" rest-type="text" rest-param-out="TipoAtto{{anno}}=tipoAttoDiConcessione" rest-on="#attivaREST:click" rest-allow-edit="false"/> 
                  <input type="text" id="TipoAtto{{anno}}" name="TipoAtto{{anno}}" style="width:100%;" readonly /> 
              </td>
              <td>
                <div rest-name="/modulo/ws/icaro_contributi?annoContributo={{anno}}&amp;numeroContributo=[Riferimenti_NumeroRegistrazione]" rest-type="text" rest-param-out="NumeroAtto{{anno}}=numeroAtto" rest-on="#attivaREST:click" rest-allow-edit="false"/> 
                <input type="text" id="NumeroAtto{{anno}}" name="NumeroAtto{{anno}}" style="width:100%;" readonly /> 
              </td>
              <td>
                <div rest-name="/modulo/ws/icaro_contributi?annoContributo={{anno}}&amp;numeroContributo=[Riferimenti_NumeroRegistrazione]" rest-type="text" rest-param-out="DataAtto{{anno}}=dataAtto" rest-on="#attivaREST:click" rest-allow-edit="false"/> 
                <input type="text" id="DataAtto{{anno}}" name="DataAtto{{anno}}" style="width:100%;" readonly /> 
              </td>
              <td>
                <div rest-name="/modulo/ws/icaro_contributi?annoContributo={{anno}}&amp;numeroContributo=[Riferimenti_NumeroRegistrazione]" rest-type="text" rest-param-out="ImportoConcesso{{anno}}=importoConcesso" rest-on="#attivaREST:click" rest-allow-edit="false"/> 
                <input type="text" id="ImportoConcesso{{anno}}" name="ImportoConcesso{{anno}}" style="width:100%;" readonly />
              </td>
              <td>
                <div rest-name="/modulo/ws/icaro_contributi?annoContributo={{anno}}&amp;numeroContributo=[Riferimenti_NumeroRegistrazione]" rest-type="text" rest-param-out="Ufficio{{anno}}=ufficio" rest-on="#attivaREST:click" rest-allow-edit="false"/> 
                <input type="hidden" id="Ufficio{{anno}}" name="Ufficio{{anno}}" style="width:100%;" readonly /> 
                <input type="hidden" id="NomeUfficio{{anno}}" name="NomeUfficio{{anno}}" style="width:100%;" readonly /> 
                <div rest-name="/modulo/ws/icaro_contributi?annoContributo={{anno}}&amp;numeroContributo=[Riferimenti_NumeroRegistrazione]" rest-type="text" rest-param-out="Stato{{anno}}=stato" rest-on="#attivaREST:click" rest-allow-edit="false"/> 
                <input type="text" id="Stato{{anno}}" name="Stato{{anno}}" style="width:100%;" readonly />
              </td>
          </tr>
          {% endfor %}

         <!--TUTTA QUESTA RIGA E' DA CANCELLARE NON APPENA POSSIAMO TESTARE IL WS DI ICARO EVO IN QUANTO SERVE ADESSO PER AVERE DEI VALORI PER COMPLETARE LA COMPILAZIONE 
          Valore WS PRODUZIONE : /modulo/ws/icaro_contributi?annoContributo={{anno}}&amp;numeroContributo=[Riferimenti_NumeroRegistrazione]
          Valore WS STAGING : /modulo/ws/contributi_test?annoContributo={{anno}}&amp;numeroContributo=[Riferimenti_NumeroRegistrazione]  
        <tr id="Valori_WS__test" >
            <td> 
                <input type="text" id="TipoAtto_test" name="TipoAtto_test" style="width:100%;" value="Determina" readonly />
            </td>
            <td>
                <input type="text" id="NumeroAtto_test" name="NumeroAtto_test" style="width:100%;" value="123456" readonly  />
            </td>
            <td>
                <input type="text" id="ImportoConcesso_test" name="ImportoConcesso_test" style="width:100%;" value="1000" readonly/>
            </td>
            <td >
                <input type="text" id="Ufficio_test" name="Ufficio_test" style="width:100%;" value="J96K20" readonly  />
                <input type="text" id="DescUfficio_test" name="DescUfficio_test" style="width:100%;" value="" readonly  />
            </td>
        </tr>-->
        <tr>
          <td>
            <input class="form-control" id="Riferimenti_TipoAtto" name="Riferimenti_TipoAtto" label="Tipo Atto" readonly  />
          </td>
          <td>
            <input class="form-control" id="Riferimenti_NumeroAtto" name="Riferimenti_NumeroAtto" label="Numero protocollo" readonly />
          </td>
          <td>
            <input class="form-control" id="Riferimenti_DataAtto" name="Riferimenti_DataAtto" label="Numero protocollo"readonly  />
          </td>
          <td>
            <input class="form-control" id="Riferimenti_ImportoConcesso" name="Riferimenti_ImportoConcesso" label="Importo concesso"readonly  />
          </td>
          <td>
            <input class="form-control" id="Riferimenti_Stato" name="Riferimenti_Stato" label="Stato richiesta"readonly  />

          </td>
        </tr>
    </tbody>
</table>

<h3 class="Modulo">
    COMUNICA
</h3>

<table class="Modulo" style="border: 1px solid grey;">
    <tbody>
        <tr class="Rigaintestazione">
            <td colspan="3">
                <p class="Labeltabella">
                    in relazione allo svolgimento dell'iniziativa 
                </p>
            </td>
        </tr>
        <tr class="Rigaintestazioneridotta">
          <td colspan="3">
            <p class="Labelcella">
              Denominazione
            </p>
          </td>
        </tr>
        <tr>
          <td colspan="3">
            <input class="inputNormal" style="width: 100%;" id="Parametri_DenominazioneAttivita" name="Parametri_DenominazioneAttivita" mandatory="true" label="denominazione attività" onclick="copiaDati()"/>
          </td>
        </tr>
        <tr class="Rigaintestazioneridotta">
            <td style="width:30%;">
                <p class="Labelcella">
                    Data inizio dell'iniziativa
                </p>
            </td>
            <td style="width:30%;">
                <p class="Labelcella">
                    Data fine dell'iniziativa
                </p>
            </td>
            <td style="width:60%;">
                <p class="Labelcella">
                    Luogo di svolgimento dell'iniziativa
                </p>
            </td>
            
        </tr>
        <tr>
           <td>
               <input class="inputNormal" id="Parametri_Iniziativa_DataInizio" name="Parametri_Iniziativa_DataInizio" style="width: 100%;" label="Data inizio" mandatory="true" format="date" />
           </td>
            <td>
                <input class="inputNormal" id="Parametri_Iniziativa_DataFine" name="Parametri_Iniziativa_DataFine" style="width: 100%;" label="Data fine" mandatory="true" format="date" />
            </td>
            <td>
                <input class="inputNormal" id="Parametri_Iniziativa_LuogoSvolgimento" name="Parametri_Iniziativa_LuogoSvolgimento" style="width: 100%;" label="Luogo svolgimento" mandatory="true" />
            </td>
            </tr>    
        
    </tbody>
</table>



{{ utils.Dichiara_445() }}

<p class="Modulo">
    che il rendiconto di seguito riportato corrisponde alle spese effettivamente sostenute e alle entrate conseguite per l'organizzazione dell'evento.
</p>

<table class="Modulo" style="border: 1px solid grey;">
    <tbody>
        <tr class="Rigaintestazione">
            <td colspan="2">
                <p class="Labeltabella">
                    uscite <br>
                    <span style="font-size: 70%;">(specificare nel dettaglio)</span>
                </p>
            </td>
        </tr>
        <tr class="Rigaintestazioneridotta">
            <td style="width:80%;">
                <p class="Labelcella">
                    Descrizione (*)
                </p>
            </td>
            <td style="width:20%;">
                <p class="Labelcella">
                    Importo
                </p>
            </td>
        </tr>
        <!-- il primo elemento della coppia è senza accenti per evitare errori per option value -->
        {% set descrizioni = [["", ""],
                              ["compensi", "compensi"],
                              ["spese di viaggio","spese di viaggio"],
                              ["ENPALS","ENPALS"],
                              ["INPS","INPS"],
                              ["SIAE","SIAE"],
                              ["spese di pubblicita e affissioni","spese di pubblicità e affissioni"],
                              ["inviti e manifesti","inviti e manifesti"],
                              ["materiali","materiali"],
                              ["spese di organizzazione","spese di organizzazione"],
                              ["affitto sale","affitto sale"],
                              ["noleggio strutture e attrezzature","noleggio strutture e attrezzature"],
                              ["servizio audio e luci","servizio audio e luci"],
                              ["assicurazioni","assicurazioni"],
                              ["premi","premi"],
                              ["spese di segreteria","spese di segreteria"],
                              ["altre spese","altre spese"]] %}
        {% set numero_righe = 14 %}

        {% for i in range(1, numero_righe) %}
        <tr {% if i==1 %} mandatory_enabled="true" {% endif %}>
            <td>
                <select name="Parametri_Uscite_Descrizione{{i}}" id="Parametri_Uscite_Descrizione{{i}}" label="Descrizione" style="width:100%;" onchange="svuotaDisavanzo();">
                    {% for desc in descrizioni %}
                    <option value="{{desc[0]}}">{{desc[1]}}</option>
                    {% endfor %}
                </select>
            </td>
            <td>
                <p style="width: 100%; text-align: right;">
                    <input class="inputNormal" id="Parametri_Uscite_Importo{{i}}" name="Parametri_Uscite_Importo{{i}}" style="width: 85%;" label="Importo" format="valuta_positiva" {% if i==1 %} mandatory_enabled="true" {% else %} mandatory_enabled="#Parametri_Uscite_Descrizione{{i}}.value() != ''" {% endif %} />
                    €
                </p>
            </td>
        </tr>
        {% endfor %}
        <tr class="Rigaintestazione">
            <td>
               <p class="Labeltabella" style="width: 100%; text-align: right;">
                    totale
                </p>
            </td>
            <td>
                <p style="width: 100%; text-align: right;">
                    <input class="inputNormal" id="Parametri_Totale_Uscite" name="Parametri_Totale_Uscite" style="width: 85%;" label="Totale" format="valuta_positiva"
                    dynamic_value="(
                    {% for i in range(1, numero_righe) %}
                    (#Parametri_Uscite_Importo{{i}}.value() != '' ? parseFloat(#Parametri_Uscite_Importo{{i}}.value().replace(',','.')) : 0) +
                    {% endfor %} 0).toFixed(2).toString().replace('.',',')" readonly />
                    €
                </p>
            </td>
        </tr>
    </tbody>
</table>

<p class="Modulo" style="font-size:80%;">
    <i>Opzioni (*)</i>:<br/>
    compensi,
    spese di viaggio,
    ENPALS,
    INPS,
    SIAE,
    spese di pubblicità e affissioni,
    inviti e manifesti,
    materiali,
    spese di organizzazione,
    affitto sale,
    noleggio strutture e attrezzature,
    servizio audio e luci,
    assicurazioni,
    premi,
    spese di segreteria,
    altre spese
</p>

<table class="Modulo" style="border: 1px solid grey; margin-top: -1px;">
    <tbody>
        <tr class="Rigaintestazione">
            <td colspan="2">
                <p class="Labeltabella">
                    entrate <br>
                    <span style="font-size: 70%;">(specificare nel dettaglio)</span>
                </p>
            </td>
        </tr>
        <tr class="Rigaintestazioneridotta">
            <td style="width:80%;">
                <p class="Labelcella">
                    Descrizione (*)
                </p>
            </td>
            <td style="width:20%;">
                <p class="Labelcella">
                    Importo
                </p>
            </td>
        </tr>
        <!-- il primo elemento della coppia è senza accenti per evitare errori per option value -->
        {% set descrizioniEntrate = ["", "contributi di altri enti",
                                "sponsorizzazioni o contributi privati",
                                "mezzi propri da autofinanziamento",
                                "vendita biglietti d'ingresso",
                                "vendita di pubblicazioni, cd, materiale vario",
                                "altre entrate"] %}
        {% set numero_righe = 14 %}

        {% for i in range(1, numero_righe) %}
        <tr {% if i==1 %} mandatory_enabled="true" {% endif %}>
            <td>
                <select name="Parametri_Entrate_Descrizione{{i}}" id="Parametri_Entrate_Descrizione{{i}}" label="Descrizione" style="width:100%;" onchange="svuotaDisavanzo();">
                    {% for desc in descrizioniEntrate %}
                    <option value="{{ desc }}">{{desc}}</option>
                    {% endfor %}
                </select>
            </td>
            <td>
                <p style="width: 100%; text-align: right;">
                    <input class="inputNormal" id="Parametri_Entrate_Importo{{i}}" name="Parametri_Entrate_Importo{{i}}" style="width: 85%;" label="Importo" format="valuta_positiva" {% if i==1 %} mandatory_enabled="true" {% else %} mandatory_enabled="#Parametri_Entrate_Descrizione{{i}}.value() != ''" {% endif %} />
                    €
                </p>
            </td>
        </tr>
        {% endfor %}
        <tr class="Rigaintestazione">
            <td>
                <p class="Labeltabella" style="width: 100%; text-align: right;">
                    totale
                </p>
            </td>
            <td>
                <p style="width: 100%; text-align: right;">
                    <input class="inputNormal" id="Parametri_Totale_Entrate" name="Parametri_Totale_Entrate" style="width: 85%;" label="Totale" format="valuta_positiva"
                    dynamic_value="(
                    {% for i in range(1, numero_righe) %}
                    (#Parametri_Entrate_Importo{{i}}.value() != '' ? parseFloat(#Parametri_Entrate_Importo{{i}}.value().replace(',','.')) : 0) +
                    {% endfor %} 0).toFixed(2).toString().replace('.',',')" readonly />
                    €
                </p>
            </td>
        </tr>
        <tr class="Rigaintestazione">
          <td>
             <p class="Labeltabella">
            <input id="AggiornaDisavanzo" name="AggiornaDisavanzo" type="button" class="btn btn-block" value="Aggiorna il disavanzo tutte le volte che modifichi il rendiconto" style="width: 80%; text-align: left;" onclick="verificaImporto();">     
                  disavanzo
                </p>  
          </td>
          <td>
              <p style="width: 100%; text-align: right;">
                  <input class="inputNormal" id="Parametri_Saldo" name="Parametri_Saldo" style="width: 85%;" label="Saldo" format="valuta" mandatory="true"
                   readonly />
                  €
              </p>
              <input type="hidden" name="hidden_disavanzonegativo" id="hidden_disavanzonegativo" label="Valore di disavanzo negativo domanda non inviabile" mandatory="true">
          </td>
      </tr>

    </tbody>
</table>

<p class="Modulo" style="font-size:80%;">
    <i>Opzioni (*)</i>:<br/>
    contributi di altri enti,
    sponsorizzazioni o contributi privati,
    mezzi propri da autofinanziamento,
    vendita biglietti d’ingresso,
    vendita di pubblicazioni/cd/materiale vario,
    altre entrate
    nessuna entrata <i>(inserisci importo 0,00)</i>
</p>
<br>
<table class="Modulo" style="border: 1px solid grey;">
  <tbody>
    <tr class="Rigaintestazioneridotta">
      <td colspan="2">
          <p class="Labelcella">
             importo contributo da liquidare
          </p>
      </td>
  </tr>
  <tr>
    <td colspan="2">
        <input class="inputNormal" id="Parametri_ValoreContributo" name="Parametri_ValoreContributo" style="width: 100%;" label="Valore contributo" mandatory="true" format="valuta_positiva" onblur="verificaImporto();" />
    </td>
</tr>
     
  </tbody>
</table>

<div class="space-1"></div>
<h3 class="Modulo">
  DICHIARA INOLTRE
</h3>
<div class="space-1"></div>
<div id="Tassonomia_ObblighiVersamento" name="Tassonomia_ObblighiVersamento" label="Obblighi versamento"></div>
<table class="Modulo" style="border: 1px solid grey;">
  <tbody>
    <tr class="Rigaintestazione">
      <td colspan="2">
        <p class="Labeltabella">
          Obblighi di versamento dei contributi assicurativi e previdenziali (Legge 09/08/2013, n. 98)
        </p>
      </td>
    </tr>
    <tr>
      <td style="vertical-align: top; width: 4%; background-color: white;">
        <input id="Tassonomia_ObblighiVersamento1" name="Tassonomia_ObblighiVersamento" type="radio" value="1" />
      </td>
      <td>
        <p>
          che l'organizzazione è in regola con l'obbligo di versamento dei contributi
        </p>
      </td>
    </tr>
    <tr>
      <td style="vertical-align: top; width: 4%;">
        <input id="Tassonomia_ObblighiVersamento2" name="Tassonomia_ObblighiVersamento" type="radio" value="2" />
      </td>
      <td>
        <p>
          che l'organizzazione non è soggetta agli obblighi di regolarità contributiva
        </p>
      </td>
    </tr>
  </tbody>
</table>
<h3 class="Modulo">
  RICHIEDE
</h3>
<p class="Modulo">
  che l'erogazione del contributo concesso avvenga mediante accredito sul seguente conto corrente
</p>

{{ utils.iban("true","visibility:visibility", "display:none") }}

<table class="Modulo" style="border: 1px solid grey;">
  <tbody>
    <tr class="Rigaintestazioneridotta">
      <td>
        <p class="Labelcella">
          Eventuali annotazioni
        </p>
      </td>
    </tr>
    <tr>
      <td>
        <textarea class="inputNormal" id="Parametri_Annotazioni" name="Parametri_Annotazioni" style="width: 100%; height: 5cm;" label="Eventuali annotazioni"></textarea>
      </td>
    </tr>
  </tbody>
</table>

<br>



<table class="Modulo" name="Allegati" style="border: 1px solid grey">
    <tbody>
        <tr class="Rigaintestazione">
            <td colspan="2">
                <p style="text-align: center;">
                    <b>
                        Elenco degli allegati
                    </b>
                    <br/>
                    <span style="font-size:70%">
                        <i>(barrare tutti gli allegati richiesti in fase di presentazione della pratica ed elencati sul portale)</i>
                    </span>
                </p>
            </td>
        </tr>
        <tr>
            <td style="vertical-align: top; width: 4%;">
                <input id="DOC-ATT-SPESE-SOST" name="DOC-ATT-SPESE-SOST" type="checkbox" value="OBBLIGATORIO"/>
            </td>
            <td style="background-color: #eeeeee;">
                <p>
                    copia della documentazione attestante le spese sostenute
                </p>
            </td>
        </tr>
         <tr>
            <td style="vertical-align: top; width: 4%;">
                <input id="REL_CONCL" name="REL_CONCL" type="checkbox" checked="checked" dynamic_check="true" value="OBBLIGATORIO"/>
            </td>
            <td style="background-color: #eeeeee;">
                <p>
                    relazione conclusiva
                </p>
            </td>
        </tr>
        <tr>
          <td style="vertical-align: top; width: 4%;">
              <input id="RIT_ACCONTO" name="RIT_ACCONTO" type="checkbox" checked="checked" dynamic_check="true" value="OBBLIGATORIO"/>
          </td>
          <td style="background-color: #eeeeee;">
              <p>
                  dichiarazione relativa alla ritenuta d'acconto
              </p>
          </td>
      </tr>
        <tr>
            <td style="vertical-align: top; width: 4%;">
                <input id="DAE-CDI" name="DAE-CDI" type="checkbox" value="OBBLIGATORIO" />
            </td>
            <td style="background-color: #eeeeee;">
                <p>
                    copia del documento d'identità
                    <br/>
                    <span style="font-size:70%">
                        <i>(da allegare se il modulo è sottoscritto con firma autografa)</i>
                    </span>
                </p>
            </td>
        </tr>
        <tr>
            <td style="vertical-align: top; width: 4%;">
                <input id="ALTRI-ALLEGATI" name="ALTRI-ALLEGATI" type="checkbox" value="OBBLIGATORIO"/>
            </td>
            <td style="background-color: #eeeeee;">
                <p>
                    altri allegati
                    <span style="font-size:70%">(specificare)</span>
                    <input class="" label="Altri allegati" id="AltriAllegati" mandatory_enabled="#ALTRI_ALLEGATI.checked()" name="AltriAllegati" style="width:79%;"/>
                </p>
            </td>
        </tr>
    </tbody>
</table>

<br>
{{ utils.trattamento_dati_personali() }}
<br/>
    {{ utils.firma_hidden() }}
<br/>

<p class="Modulo">
    <input id="SalvaModulo" name="SalvaModulo" style="height:30px;width:120px;" title="Verifica la corretta compilazione dei campi e salva il modulo nel faldone virtuale dell'istanza." type="submit" value="Salva modulo"/>
</p>

<input destinatario_amministrazione="getParameter('Ente')" id="GLOBO_modulo_c{{ CodiceModulo }}" name="GLOBO_modulo_c{{ CodiceModulo }}" type="hidden" value=""/>
<input firmare="'P7M_ELETTRONICA'" id="GLOBO_modulofiglio_cINCARICO_PROCURA" name="GLOBO_modulofiglio_cINCARICO_PROCURA" type="hidden" value=""/>

<input id="GLOBO_sub_urn" name="GLOBO_sub_urn" type="hidden" value="" />



<input id="GLOBO_modulofiglio_cREL_CONCL" name="GLOBO_modulofiglio_cREL_CONCL" obbligatorio="#REL_CONCL.checked() ? 'OBBLIGATORIO' : ''" type="hidden" value=""/>
<input id="GLOBO_modulofiglio_cRIT_ACCONTO" name="GLOBO_modulofiglio_cRIT_ACCONTO" obbligatorio="#RIT_ACCONTO.checked() ? 'OBBLIGATORIO' : ''" type="hidden" value=""/>

<input id="GLOBO_allegato_cDOC-ATT-SPESE-SOST" name="GLOBO_allegato_cDOC-ATT-SPESE-SOST" type="hidden" value="" obbligatorio="#DOC_ATT_SPESE_SOST.checked() ? 'OBBLIGATORIO' : ''"/>
<input id="GLOBO_allegato_cDAE-CDI" name="GLOBO_allegato_cDAE-CDI" obbligatorio="#DAE_CDI.checked() ? 'OBBLIGATORIO' : ''" type="hidden" value=""/>
<input id="GLOBO_allegato_cALTRI-ALLEGATI" name="GLOBO_allegato_cALTRI-ALLEGATI" obbligatorio="#ALTRI_ALLEGATI.checked() ? 'OBBLIGATORIO' : ''" type="hidden" value=""/>

<input id="GLOBO_id_padre" name="GLOBO_id_padre" type="hidden"/>
<input id="GLOBO_recupera_dati" name="GLOBO_recupera_dati" type="hidden"/>
<input id="GLOBO_codice_modulo" name="GLOBO_codice_modulo" type="hidden" value="{{ CodiceModulo }}"/>

{% endblock content %}
